Summary: Utilities for dealing with MTD (flash) devices
Name:    mtd-utils
Version: 1.4.6
Release: %mkrel 2
License: GPLv2+
Group:   System/Kernel and hardware
URL:     http://www.linux-mtd.infradead.org/
Source0: ftp://ftp.infradead.org/pub/mtd-utils/%{name}-%{version}.tar.bz2
BuildRequires: zlib-devel libacl-devel liblzo-devel libuuid-devel

%description
The mtd-utils package contains utilities related to handling MTD devices,
and for dealing with FTL, NFTL JFFS2 etc.

%package ubi
Summary: Utilities for dealing with UBI
Group: System/Kernel and hardware

%description ubi
The mtd-utils-ubi package contains utilities for manipulating UBI on 
MTD (flash) devices.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT SBINDIR=%{_sbindir} MANDIR=%{_mandir} install
make DESTDIR=$RPM_BUILD_ROOT SBINDIR=%{_sbindir} MANDIR=%{_mandir} install -C ubi-utils

%clean
rm -rf $RPM_BUILD_ROOT


%files
%{_sbindir}/doc*
%{_sbindir}/flash*
%{_sbindir}/ftl*
%{_sbindir}/jffs2dump
%{_sbindir}/mkfs.jffs2
%{_sbindir}/mtd_debug
%{_sbindir}/nand*
%{_sbindir}/nftl*
%{_sbindir}/recv_image
%{_sbindir}/rfd*
%{_sbindir}/serve_image
%{_sbindir}/sumtool
%{_sbindir}/mkfs.ubifs
%{_sbindir}/mtdinfo
%{_mandir}/*/*
%doc COPYING device_table.txt


%files ubi
%{_sbindir}/ubi*



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.4.6-2.mga3
+ Revision: 360467
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 05 2011 doktor5000 <doktor5000> 1.4.6-1.mga2
+ Revision: 138899
- fix Group of -ubi subpackage
- new version 1.4.6
  o bugfix release, fixing "mtdinfo -a" breakage
- fix Group (mga#2136)
- remove useless %%defattr

* Sat Jun 18 2011 tmb <tmb> 1.4.4-1.mga2
+ Revision: 109388
- imported package mtd-utils

